#include<stdio.h>
#include<string.h>
#include<stdlib.h>
#include<mysql/mysql.h>
int main() {
MYSQL db;
MYSQL *conn;
 int stato;
 char data[50];
 char insert[100];
 char select[100];
 char costant[50];
 long numrow,t1,t2;
 MYSQL_ROW riga;
 MYSQL_RES *result;
mysql_init(&db);
 memset(insert,0,100);memset(select,0,100); memset(costant,0,50);
 memset(data,0,50);
 sprintf(costant,"SELECT nome,numero FROM ciao");
/* 1 NULL : ci si connette a localhost
# NULL : ci si connette come l'utente che lancia il prog
# NULL : l'utente non ha password
2 NULL :non ci colleghiamo a un socket unix*/
conn= mysql_real_connect(&db,NULL,"damiano","hello","test3",3306,NULL,0);
 if (conn==0) printf("connessione non riuscita !!\n"); else printf(" connessione OK\n"); 
  stato=mysql_query(conn,costant);
  if ( stato != 0 ) { printf("errore:%s \n",mysql_error(conn)) ; 
  exit(-1);}
  result=mysql_store_result(conn); 
  if (result==NULL)  { printf("errore: %s\n",mysql_error(conn)) ;
  exit(-1); 
  }
  
  while ( (riga=mysql_fetch_row(result))!=NULL ){
    printf ("il nome e' %s \n",riga[0]);
    printf ("la chiave e' %s\n--------\n",riga[1]);
   }
  fputs("scrivi un altro nome da inserire :\n",stdout);
  fgets(data,50,stdin);
  t1=mysql_num_rows(result);
  t1++;
  printf("la chiave inserita  e' %ld\n",t1);
  sprintf(insert,"INSERT INTO ciao VALUES('%s','%ld')",data,t1);
   stato=mysql_query(conn,insert);
  if ( stato != 0 ) { printf("errore:%s \n",mysql_error(conn)) ; 
  exit(-1);}
  mysql_free_result(result);
  mysql_close(conn);
return 0 ; }
